@import "./Variables.scss";
/* Position and sizing of burger button */
.bm-burger-button {
  position: absolute;
  width: 36px;
  height: 30px;
  left: 36px;
  margin-top: 7.5%;
}

/* Color/shape of burger icon bars */
.bm-burger-bars {
  background: $base-font;
}

/* Color/shape of burger icon bars on hover*/
.bm-burger-bars-hover {
  background: $base-font;
}

/* Position and sizing of clickable cross button */
.bm-cross-button {
  height: 24px;
  width: 24px;
}

/* Color/shape of close button cross */
.bm-cross {
  background: $navbar-background;
}

/*
  Sidebar wrapper styles
  Note: Beware of modifying this element as it can break the animations - you should not need to touch it in most cases
  */
.bm-menu-wrap {
  position: fixed;
  height: 100%;
}

/* General sidebar styles */
.bm-menu {
  background: $color-3;
  padding: 2.5em 1.5em 0;
  font-size: 1.15em;
}

/* Morph shape necessary with bubble or elastic */
.bm-morph-shape {
  fill: #373a47;
}

/* Wrapper for item list */
.bm-item-list {
  color: $base-font;
  padding: 0.8em;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

/* Individual item */
.bm-item {
  display: inline-block;
  letter-spacing: 0.2rem;
  margin-top: 0.6rem;
}

/* Styling of overlay */
.bm-overlay {
  background: rgba(0, 0, 0, 0.3);
}
.btn {
  flex: 1;
}
.btn,
.btn-sidebar {
  /* margin-top: 4%; */
  float: right;
  /* display: inline-block; */
  border: none;
  /* width: 60px;
  height: 60px; */
  cursor: pointer;
  background: transparent;
}
.btn i,
.btn-sidebar i {
  font-size: 2em;
  color: $base-font;
}
.wrapper-menu {
  margin-top: 2.5%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}
.containerSearch {
  /* margin-top: 36px; */
  margin-left: 18%;
}
.cselect {
  flex-grow: 0; /* do not grow   - initial value: 0 */
  flex-shrink: 0; /* do not shrink - initial value: 1 */
  flex-basis: 15%; /* width/height  - initial value: auto */
}
.searchBar {
  flex: 7;
  -moz-user-select: none; /* Firefox */
  -webkit-user-select: none; /* Chrome, Safari, Opéra depuis la version 15 */
  -ms-user-select: none; /* Internet explorer depuis la version 10 et Edge */
  user-select: none; /* Propriété standard */
}
.wrapper-nav {
  flex: 1;
}
.bm-menu-wrap {
  width: 400px !important;
}
.btn-sidebar {
  margin-top: 35%;
}

.menu-item {
  display: inline-block;
  position: relative;
}
.menu-item::after {
  content: "";
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: $base-font;
  transform-origin: bottom right;
  transition: transform 0.6s ease-out;
}
.menu-item:hover::after {
  transform: scaleX(1);
  transition: 0.6s ease-in-out;
  transform-origin: bottom left;
}

/* .wrapper-menu {
  display: flex;
  width: 100%;
  flex-direction: row;
  justify-content: flex-end;
} */
.icon_right{
  display: flex;
  width: 200px;
  .pan_nav{
  width: 35px;
}
.side_profile{
  margin-left: 1em;
  width: 35px;
  height: 35px;

  margin-right: auto;
  margin-left: auto;
  font-size: 2em;
  color: $base-font;
  i{
    width: 100%;
    height: 100%;
  }
}
}
.side_profile{
  margin-left: 1em;
  width: 35px;
  height: 35px;

  margin-right: auto;
  margin-left: auto;
  color: $base-font;
  i{
    width: 100%;
    height: 100%;
  }
}